Next: NULL, Previous: NORM2, Up: Intrinsic Procedures [Contents][Index]

### 9.209 `NOT` — Logical negation

Description:

  `NOT` returns the bitwise Boolean inverse of I.

Standard:

  Fortran 90 and later, has overloads that are GNU extensions

Class:

  Elemental function

Syntax:

  `RESULT = NOT(I)`

Arguments:

  I | The type shall be `INTEGER`.

Return value:

  The return type is `INTEGER`, of the same kind as the argument.

Specific names:

  Name | Argument | Return type | Standard
  `NOT(A)` | `INTEGER A` | `INTEGER` | Fortran 95 and later
  `BNOT(A)` | `INTEGER(1) A` | `INTEGER(1)` | GNU extension
  `INOT(A)` | `INTEGER(2) A` | `INTEGER(2)` | GNU extension
  `JNOT(A)` | `INTEGER(4) A` | `INTEGER(4)` | GNU extension
  `KNOT(A)` | `INTEGER(8) A` | `INTEGER(8)` | GNU extension

See also:

  IAND, IEOR, IOR, IBITS, IBSET, IBCLR